ValueSourceRangeFilter (Solr 3.6.2 API)
Keywords: org.apache.solr.search.function.ValueSourceRangeFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.function
Class ValueSourceRangeFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.solr.search.SolrFilter
              org.apache.solr.search.function.ValueSourceRangeFilter

All Implemented Interfaces:
  Serializable

    public class ValueSourceRangeFilter

extends SolrFilter

RangeFilter over a ValueSource.

See Also:
  Serialized Form

Constructor Summary
`ValueSourceRangeFilter(ValueSource valueSource, String lowerVal, String upperVal, boolean includeLower, boolean includeUpper)`

Method Summary
`void` | `createWeight(Map context, Searcher searcher)` Implementations should propagate createWeight to sub-ValueSources which can store weight info in the context.
`boolean` | `equals(Object o)`
`DocIdSet` | `getDocIdSet(Map context, IndexReader reader)`
`String` | `getLowerVal()`
`String` | `getUpperVal()`
`ValueSource` | `getValueSource()`
`int` | `hashCode()`
`boolean` | `isIncludeLower()`
`boolean` | `isIncludeUpper()`
`String` | `toString()`

Methods inherited from class org.apache.solr.search.SolrFilter
`getDocIdSet`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueSourceRangeFilter

    public ValueSourceRangeFilter(ValueSource valueSource,
                                  String lowerVal,
                                  String upperVal,
                                  boolean includeLower,
                                  boolean includeUpper)

Method Detail

### getValueSource

    public ValueSource getValueSource()

### getLowerVal

    public String getLowerVal()

### getUpperVal

    public String getUpperVal()

### isIncludeLower

    public boolean isIncludeLower()

### isIncludeUpper

    public boolean isIncludeUpper()

### getDocIdSet

    public DocIdSet getDocIdSet(Map context,
                                IndexReader reader)
                         throws IOException

  Specified by:
    `getDocIdSet` in class `SolrFilter`
  Throws:
    `IOException`

### createWeight

    public void createWeight(Map context,
                             Searcher searcher)
                      throws IOException

  Description copied from class: `SolrFilter`
  Implementations should propagate createWeight to sub-ValueSources which can store weight info in the context. The context object will be passed to getDocIdSet() where this info can be retrieved.

  Specified by:
    `createWeight` in class `SolrFilter`
  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD